Subject: Re: [PATCH v5 0/6] Reject non-ff pulls by default

From: Junio C Hamano <[email-masked]>
Date: Wed, 30 Apr 2014 12:52:15 -0700

Felipe Contreras <[email-masked]> writes:

> Junio C Hamano wrote:
>> Felipe Contreras <[email-masked]> writes:
>> ...
>> > This plan, however, fell off the cliff.
>> 
>> Yeah, I see that $gmane/234488 explains why the second step in the
>> previous one stopped.  I guess it was in expecting a reroll state,
>> waiting for that other topic (I do not remember offhand) to
>> graduate.
>> 
>> I see nothing touching the affected codepaths now, so this time
>> around we may have a better chance, perhaps?
>
> A chance of what?

A chance not to have the plan "fell off the cliff".

> Do you want me to reroll to include the future
> backwards-incompatible change warning?

Yes, as I said in the other thread ($gmane/247758), if you do not
have that step yet (I haven't looked at the implementation while
discussing the design in this thread and looking at patches in other
topics) I'd strongly recommend adding one.

> Should I include the patch that turns the switch?

Sorry, but you lost me here.  Turns what switch to what value?